package com.bonus.canteen.core.menu.dto;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.time.LocalDate;
import java.util.List;

public class AndroidRemoveRecipeDishesDTO {
   @ApiModelProperty("菜谱id")
   private @NotNull(
   message = "{menu_recipe_id_null}"
) Long recipeId;
   @ApiModelProperty("菜谱日期")
   private @NotNull(
   message = "{menu_apply_date_null}"
) LocalDate applyDate;
   @ApiModelProperty("时间段id")
   private @NotNull(
   message = "{menu_interval_id_null}"
) Long intervalId;
   @ApiModelProperty("菜品id列表")
   private @Size(
   min = 1,
   message = "{menu_dishes_list_null}"
) List<Long> dishesIdList;

   public Long getRecipeId() {
      return this.recipeId;
   }

   public LocalDate getApplyDate() {
      return this.applyDate;
   }

   public Long getIntervalId() {
      return this.intervalId;
   }

   public List<Long> getDishesIdList() {
      return this.dishesIdList;
   }

   public void setRecipeId(final Long recipeId) {
      this.recipeId = recipeId;
   }

   public void setApplyDate(final LocalDate applyDate) {
      this.applyDate = applyDate;
   }

   public void setIntervalId(final Long intervalId) {
      this.intervalId = intervalId;
   }

   public void setDishesIdList(final List<Long> dishesIdList) {
      this.dishesIdList = dishesIdList;
   }

}
